/**
 * 1.Опишіть своїми словами, що таке метод об'єкту.
 *Метод об'єкту це функція всередині об'єкту,у вигляді його властивості, яка наприклад, обчислює якісь значення
 *2.Який тип даних може мати значення властивості об'єкта?
 * Властивості об'єкту можуть мати будь-який тип даних .
 *3.Об'єкт це посилальний тип даних. Що означає це поняття?
 *Це поняття означає, що при створенні об'єкту в пам'яті створюється така комірка, в якій зберігається цей об'єкт
 * та його властивості. Коли ми хочемо скопіювати змінну за допомогою оператора присвоєння (=), це не спрацює,адже
 * ми копіюємо не сам об'єкт,а посилання на ту комірку в пам'яті.
 */


function createNewUser() {
 const userFirstName = prompt("Введіть своє ім'я").trim();
 const userLastName =  prompt("Введіть своє прізвище").trim();

 const newUser = {
  firstName :userFirstName ,
  lastName : userLastName,
  getLogin ()  {

   return (this.firstName[0] + this.lastName).toLowerCase();
  }
 }
 return newUser;
}

const someUser = createNewUser();
console.log(someUser);
console.log(someUser.getLogin());












